/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __houdini_SurfaceHoudini_h__
#define __houdini_SurfaceHoudini_h__

namespace fe
{

/**************************************************************************//**
    @brief Houdini SurfaceI Binding

	TODO remove if not used for anything

	@ingroup houdini
*//***************************************************************************/
class FE_DL_EXPORT SurfaceHoudini: public SurfaceBase
{
	public:
							SurfaceHoudini(void):
								m_pGdp(NULL)								{}
virtual						~SurfaceHoudini(void)							{}

							//* as SurfaceI

							//* Houdini specific
		void				setGdp(const GU_Detail* a_pGdp)	{ m_pGdp=a_pGdp; }
const	GU_Detail*			gdp(void)						{ return m_pGdp; }

	private:
const	GU_Detail*			m_pGdp;
};

} // namespace

#endif /* __houdini_SurfaceHoudini_h__ */
